Bug 442763 - CRL generation performance improvements
CRL generation performance improvements
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-16 13:27 EDT by Andrew Wnuk
Modified: 2015-01-04 18:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 19:46:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Wnuk 2008-04-16 13:27:15 EDT
Description of problem:
This bug is opened to track performance improvements in CRL generation.

Expected results:
Improved performance in CRL generation.
Comment 1 Andrew Wnuk 2008-04-16 13:33:47 EDT
We could improve CRL generation performance by reducing number of hashtable
rehashes. Creating CRL cache hashtable with initial capacity can lower number of
hashtable rehashes.

Hashtable rehashing strategy found in Hashtable.java
http://recoder.sourceforge.net/doc/examples/collections/java/util/Hashtable.java
is
  int newCapacity = oldCapacity * 2 + 1;
Please, note that default initial capacity is 11 and default load factor is 0.75.
Comment 3 Andrew Wnuk 2008-06-04 19:46:57 EDT
Avoiding hash-table rehashing did not bring expected results.
We will reopen this issue as needed.

Note You need to log in before you can comment on or make changes to this bug.